#ifndef MOUSEAPIEXAMPLE_H
#define MOUSEAPIEXAMPLE_H

#include <core/XMLPort.h>
#include <MouseAPI/mouseapi.h>
#include <core/CoreIncludes.h>
#include <worldentities/ControllableEntity.h>
#include <list>

namespace orxonox
{
class MouseAPIExample : public ControllableEntity
{
public:
    MouseAPIExample(Context *context);
    ~MouseAPIExample();
    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
    void changesizeonclick(MouseButtonCode::ByEnum mouse);
    void changesizeonscroll(int abs,int rel,const IntVector2& mousePos);
    void clickleft(MouseButtonCode::ByEnum mouse);
    void clickright(MouseButtonCode::ByEnum mouse);
    inline void setId(int id)
        { this->id = id; }
    inline int getId() const
        { return this->id; }
private:
    int id;
    ClickableElementID cubeid;
    ScrollableElementID sphereid;
    ClickableElementID leftid,rightid;
};
}
#endif // MOUSEAPIEXAMPLE_H
